' HomeWizard Watermeter Get Data script
' Setup: below: enter IP address of HW water device + the (feature) device ID of the HS device where data should be written to.
' More info on: www.domoticaworld.com and search for "homewizard"

dim ipaddr = "192.169.1.1"
dim varDevice = 620

' No changes needed below 
dim hw_data
dim devString as String
dim result() as String
dim varWater as Integer
dim website as String = "http://" + ipaddr + "/api/v1/data"


Sub Main(ByVal varParameters)
'__ READ data
hw_data = hs.URLAction(website, "GET", "", "")

'__ PROCESS data
'   Sample: {"wifi_ssid":"yourssid","wifi_strength":74,"total_liter_m3": 0.422, "active_liter_lpm": 0} 
result = Split(Split(hw_data,"m3"":")(1),",")
' you could uncomment the following line for troubleshooting purposes
'            hs.WriteLog("HW_WM_troubleshooting", Cstr(result(0)))
varWater = Cdbl(result(0)) * 1000
' you could uncomment the following line for troubleshooting purposes
'            hs.WriteLog("HW_WM_troubleshooting","varWater: " + Cstr(varWater))
devString = Cstr(varWater) + " L"
hs.WriteLog("HomeWizard_Water","Device string: " + devString)

'__ WRITE data to water device
hs.setDeviceValueByRef(varDevice, hs.DeviceValue(Cint(varWater)), TRUE)
hs.setDeviceString(varDevice, devString, TRUE)

End Sub




